Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.xmpp.packet
Enum IQ.Type

    java.lang.Object
      java.lang.Enum<IQ.Type>
          org.xmpp.packet.IQ.Type

All Implemented Interfaces:
  Serializable, Comparable<IQ.Type>

Enclosing class:
  IQ

    public static enum IQ.Type

extends Enum<IQ.Type>

Type-safe enumeration to represent the type of the IQ packet. The types are:

- IQ.Type.get -- the IQ is a request for information or requirements.
- IQ.Type.set -- the IQ provides required data, sets new values, or replaces existing values.
- IQ.Type.result -- the IQ is a response to a successful get or set request.
- IQ.Type.error -- an error has occurred regarding processing or delivery of a previously-sent get or set.

If `IQ.Type.get` or `IQ.Type.set` is received the response must be `IQ.Type.result` or `IQ.Type.error`. The id of the originating `IQ.Type.get` of `IQ.Type.set` IQ must be preserved when sending `IQ.Type.result` or `IQ.Type.error`.

Enum Constant Summary
`error` An error has occurred regarding processing or delivery of a previously-sent get or set.
`get` The IQ is a request for information or requirements.
`result` The IQ is a response to a successful get or set request.
`set` The IQ provides required data, sets new values, or replaces existing values.

Method Summary
`static IQ.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IQ.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### get

    public static final IQ.Type get

  The IQ is a request for information or requirements.

### set

    public static final IQ.Type set

  The IQ provides required data, sets new values, or replaces existing values.

### result

    public static final IQ.Type result

  The IQ is a response to a successful get or set request.

### error

    public static final IQ.Type error

  An error has occurred regarding processing or delivery of a previously-sent get or set.

Method Detail

### values

    public static final IQ.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IQ.Type c : IQ.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IQ.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.